# OSADL Open Source Policy Template &ndash; Plain text version
This repository contains the plain text version of the OSADL Open Source Policy Template: The Basis for License Compliance. This Open Source Policy is not meant to be used as is, but serves as a template from which an individual policy can be created. The original template consists of one main PDF document, that contains links to Annexes (additional PDF documents to accompany a FOSS policy with processes and forms for legal and other information on projects and products) and Supplements for further reading (separate PDF documents to provide technology background and explain relevant aspects of copyright law and license compliance in more detail). For more information on the project go to [www.osadl.org/os-policy](https://www.osadl.org/os-policy).

The PDF documents of the original OS-Policy template can be filled out according to a company's requirements. However, some company's might prefer to customize the policy template more extensively. Therefore, the plain text version is provided and maintained here.

### Contributions
Contributions and feedback on content and usability of the Policy Template are welcome. Please send your suggestions and comments as pull requests or issues. Contributions will be reviewed and, if approprate, included. Contributors agree to publish their contribution under the copyright notice and attribution as stated in section [Licensing](#licensing) below. Contributers may refuse to be named in the contribution history.

### Structure
The original PDF documents rely on layout and linking for structuring. As this could not be transferred identically to the plain text version, an introduction to the structuring of the text files is given below and in the initial explanation of the main document.

The main document is OS-Policy_Master.txt. It contains 
* Template texts for the various chapters of a FOSS policy that can be adapted according to a company’s requirements. These texts are made up of instructions with brief explanations for anyone who reads and implements the FOSS policy.

* Additional explanations for whoever creates a company’s individual FOSS policy from this template. These may be removed from the final document.  
========================================  
Initiated and concluded by lines of equal signs  
========================================  

* When there are various possibilities of interpreting or handling a situation, possible options are given:  
########################################  
Preceeded by the word "Option" and initiated, separated and concluded by lines of hashtags  
########################################  
Option 2:   
########################################  

* Ready made text block templates that may be used to modify or extend existing company contracts and other documents, such as employment contracts.  
++++++++++++++++++++++++++++++++++++++++  
Initiated and concluded by lines of plus signs  
++++++++++++++++++++++++++++++++++++++++

* Annexes and Supplements are given as separate .txt files in [Annexes/](Annexes) and [Supplements/](Supplements) Where they are referenced, the document title is preceded by an arrow ->

## Disclaimer
This collection of explanations, templates and contract proposals was created in close collaboration with OSADL's General Counsel Dr. Till Jaeger and other legal professionals. However, the fact that legal professionals were involved in the preparation of the documents does not mean that any of the assessments or recommendations may be understood as individual legal advice that can only be given on a per-case basis by a lawyer.

## Licensing
Copyright 2019, 2020 Open Source Automation Development Lab (OSADL) eG and contributors, <info@osadl.org>  
Licensed under Creative Commons Attribution 4.0 International (CC-BY-4.0), [https://creativecommons.org/licenses/by/4.0/](https://creativecommons.org/licenses/by/4.0/)  
Attribution: A project by the Open Source Automation Development Lab (OSADL) eG. For further information about authors and contributors see the contribution history at [www.osadl.org/os-policy](https://www.osadl.org/os-policy)
